> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# Get eUICC

GET https://cdn.emnify.net/api/v1/euicc/{euicc_id}

List details on one specific eUICC within your organization.


Reference: https://docs.emnify.com/developers/api/euicc/get-euicc

## Authentication

- `Authorization` header (bearer token, required) — An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to `/api/v1/authenticate`.

## Request

### Path parameters

- `euicc_id` (integer, required)

## Response

### 200

eUICC detail

- `id` (integer, required)
- `eid` (string, required)
- `created` (string, required)
- `profile` (list of Profile, required)
- `issuer_org` (Organisation, optional)
- `customer_org` (Organisation, optional)
- `supported_profile_type` (EuiccSupportedProfileType, optional)
- `status` (Status, optional)
- `last_audited` (string, optional, nullable)
- `last_polled` (string, optional, nullable)
- `last_synced` (string, optional, nullable)
- `eim` (EuiccEim, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `status_code` (integer, required)
- `message` (string, required)

### 403 Forbidden Error

Forbidden

- `status_code` (integer, required)
- `message` (string, required)

### 404 Not Found Error

Not Found

- `status_code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `status_code` (integer, required)
- `message` (string, required)

## Types

### Profile

- `iccid_with_luhn` (string, required) — Full ICCID including the Luhn check digit
- `status` (ProfileStatus, optional)
- `customer_org` (Organisation, optional, nullable)
- `name` (string, optional, nullable)
- `operator` (IdName, optional, nullable)
- `preloaded` (boolean, optional, nullable)
- `fallback_allowed` (boolean, optional, nullable)
- `fallback_attribute` (boolean, optional, nullable)
- `profile_type` (ProfileProfileType, optional, nullable)
- `endpoint` (Endpoint, optional, nullable)

### Organisation

- `id` (integer, optional)
- `name` (string, optional)

### EuiccSupportedProfileType

- `id` (integer, optional)
- `description` (string, optional)

### Status

- `id` (integer, required)
- `description` (string, required)

### EuiccEim

- `id` (integer, optional)
- `description` (string, optional)

### ProfileStatus

- `id` (integer, optional)
- `description` (string, optional)

### IdName

- `id` (integer, optional)
- `name` (string, optional)

### ProfileProfileType

- `id` (integer, optional)
- `description` (string, optional)

### Endpoint

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "id": 123457,
  "eid": "89634247065724874780755570224933",
  "created": "2025-08-26T09:31:51.000Z",
  "profile": []
}
```

**SDK Code**

```python
import requests

url = "https://cdn.emnify.net/api/v1/euicc/123456"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://cdn.emnify.net/api/v1/euicc/123456';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/euicc/123456"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/euicc/123456")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://cdn.emnify.net/api/v1/euicc/123456")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://cdn.emnify.net/api/v1/euicc/123456', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/euicc/123456");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/euicc/123456")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```